=== sample/checkeval/figs/Makefile ===
GPSSHOGI_HOME = ../../..
include $(GPSSHOGI_HOME)/makefile.conf
-include makefile.local

RAW_DATA = ../pdp40k-200k.txt

figs: pdp-figs tree-figs

pdp-figs: \
 escape-proof.scat escape-disproof.scat escape-unknown.scat \
 sokudumi-proof.scat sokudumi-disproof.scat \
 tsumero-proof.scat tsumero-disproof.scat tsumero-unknown.scat

tree-figs: \
 tsumero-proof-tree.scat tsumero-disproof-tree.scat \
 escape-proof-tree.scat escape-disproof-tree.scat

## eps
pdp.eps: pdp-figs
	(echo "set logscale x; set logscale y; set term postscript eps 22; set out '$@'"; \
	echo "set xlabel 'proof number'; set ylabel 'disproof number'"; \
	echo "plot 'tsumero-proof.scat' t 'tsumero (proof)', 'tsumero-disproof.scat' every 17 t 'tsumero (disproof)', 'escape-proof.scat' t 'escape (proof)', 'escape-disproof.scat' every 17 t 'escape (disproof)', x t 'x=1'") \
	| gnuplot
pdp-tree.eps: tree-figs
	(echo "set term postscript eps 22; set out '$@'"; \
	echo "set xlabel '1/sqrt(sqrt(size of proof tree))'; set ylabel 'proof (positive)/disproof (negative) number'"; \
	echo "plot 'escape-proof-tree.scat' t 'escape (proof)', 'escape-disproof-tree.scat' every 17 t 'escape(disproof)', 'tsumero-proof-tree.scat' t 'tsumero (proof)', 'tsumero-disproof-tree.scat' every 17 t 'tsumero (disproof)'") \
	| gnuplot
#'tsumero-unknown.scat', 'escape-unknown.scat'

## åǡ
# - 
escape-proof.scat: $(RAW_DATA)
	awk '$$3==0{print $$5, $$6}' < $< > $@
escape-disproof.scat: $(RAW_DATA)
	awk '$$3==1{print $$5, $$6}' < $< > $@
escape-unknown.scat: $(RAW_DATA)
	awk '$$3==2{print $$5, $$6}' < $< > $@
# - ¨
sokudumi-proof.scat: $(RAW_DATA)
	awk '$$7==0{print $$9, $$10}' < $< > $@
sokudumi-disproof.scat: $(RAW_DATA)
	awk '$$7==1{print $$9, $$10}' < $< > $@
# - ͤ
tsumero-proof.scat: $(RAW_DATA)
	awk '$$11==0{print $$13, $$14}' < $< > $@
tsumero-disproof.scat: $(RAW_DATA)
	awk '$$11==1{print $$13, $$14}' < $< > $@
tsumero-unknown.scat: $(RAW_DATA)
	awk '$$11==2{print $$13, $$14}' < $< > $@

## ڤȤδط
tsumero-proof-tree.scat: $(RAW_DATA)
	awk '$$11==0{print 1.0/sqrt(sqrt($$12)), log($$13); print 1.0/sqrt(sqrt($$12)), -log($$14)}' < $< > $@
tsumero-disproof-tree.scat: $(RAW_DATA)
	awk '$$11==1{print -1.0/sqrt(sqrt($$12)), log($$13); print -1.0/sqrt(sqrt($$12)), -log($$14)}' < $< > $@
escape-proof-tree.scat: $(RAW_DATA)
	awk '$$3==0{print 1.0/sqrt(sqrt($$4)), log($$5); print 1.0/sqrt(sqrt($$4)), -log($$6)}' < $< > $@
escape-disproof-tree.scat: $(RAW_DATA)
	awk '$$3==1{print -1.0/sqrt(sqrt($$4)), log($$5); print -1.0/sqrt(sqrt($$4)), -log($$6)}' < $< > $@


## - ͤޤʤڤ礭 $11==0 λ
#disproof-log2.hist: pdp40k-r.txt
#	awk '$$6 > 1 {print log($$6)/log(2)}' $< | histogram.pl 1 > $@
#disproof.hist: pdp40k-r.txt
#	awk '$$6 > 1 {print $$6}' $< | histogram.pl 16 > $@
#disproof.eps: disproof-log2.hist
#	echo "set term postscript eps 22; set out '$@'; set format x '2^%g'; \
#	set xlabel 'size of trees'; \
#	set ylabel 'frequencies'; \
#	plot '$<' t 'histogram of size of disproof trees' w steps " | gnuplot 
## - ͤڤ礭 $7>0 λ
#tsumero-log2.hist: pdp40k-r.txt
#	awk '$$7 > 0 {print log($$7)/log(2)}' $< | histogram.pl 1 > $@
#tsumero.hist: pdp40k-r.txt
#	awk '$$7 > 0 {print $$7}' $< | histogram.pl 16 > $@
#tsumero.eps: tsumero-log2.hist
#	echo "set term postscript eps 22; set out '$@'; set format x '2^%g'; \
#	set xlabel 'size of trees'; \
#	set ylabel 'frequencies'; \
#	plot '$<' t 'histogram of size of proof trees' w steps " | gnuplot
