=== debian/changelog ===
gpsshogi (0.3.0-1) unstable; urgency=low

  * New upstream release (r2361).
  * Added debian/source/format file.
  * Added debian/README.source file.
  * Added debian/gpsshogi.menu to add gpsshogi-view into Menu.
  * Now man pages go to section 6 (for games).
  * Fixed a FTBFS error. (Closes: #582984)
  * Converted the patch system to quilt.
  * Added debian/patches
    - 20100525-viewer-version_r2364-2365.patch.
    - 20100528-makefile_conf_remove_malloc.patch.
  * Added a man page gpsshogi-viewer.1 for gpsshogi-viewer
    since running the command on the fly is hard due to an X11
    configuration.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 25 May 2010 21:49:28 +0900

gpsshogi (0.2.0-3) unstable; urgency=low

  * debian/control, debian:rules: Added sample/gpsshell.
  * debian/control: Bumped up Standards-Version to 3.8.4.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 07 Feb 2010 19:32:41 +0900

gpsshogi (0.2.0-2) unstable; urgency=low

  * debian/rules: Enable to use CDBS's simple patch system.
  * debian/patches/20100206-qt-common.pro.patch: Added a patch to
    ./qt-common.pro
  * Added gpsshogi-viewer

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 06 Feb 2010 16:05:16 +0900

gpsshogi (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #567621)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 30 Jan 2010 18:48:02 +0900
