=== debian/control ===
Source: gpsshogi
Section: games
Priority: optional
Maintainer: Daigo Moriwaki <daigo@debian.org>
Build-Depends: debhelper (>= 7), cdbs, quilt, libosl-dev (>= 0.3.0), libboost1.42-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline5-dev, libgsl0-dev
Standards-Version: 3.8.4
Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpsshogi.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/gpsshogi.git

Package: gpsshogi
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, gpsshogi-data (= ${source:Version})
Description: Shogi playing program based on OpenShogiLib
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship. This package contains several binaries to
 play with computer Shogi.
  - gpsshogi: support the CSA protocol
  - gpsusi: support the USI protocol
  - gpsshogi-viewer: GUI application to investigate positions
  - gpsshell: shell-like client to investigate positions

Package: gpsshogi-data
Architecture: all
Recommends: gpsshogi
Depends: ${misc:Depends}
Description: data files for gpsshogi
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship. This package contains several binaries to
 play with computer Shogi.
  - gpsshogi: support the CSA protocol
  - gpsusi: support the USI protocol
  - gpsshogi-viewer: GUI application to investigate positions
  - gpsshell: shell-like client to investigate positions
 .
 This package contains data files defining parameters of evaluation functions,
 an opening book for gpsshogi

Package: gpsshogi-dbg
Priority: extra
Section: debug
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, gpsshogi (= ${binary:Version})
Description: Shogi playing program based on OpenShogiLib
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship
 .
 This package is provided primarily to provide a backtrace with names in a
 debugger and makes it easier to interpret core dumps. Most users will not
 need this package.
