## gpsshogi 0.4.0

=== bin/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 LDFLAGS += $(PROF)
 endif
 
-LOADLIBES += -lboost_thread$(BOOST_POSTFIX_MT) -lboost_program_options$(BOOST_POSTFIX) -lpthread
+LOADLIBES += -lboost_thread$(BOOST_POSTFIX_MT) -lboost_program_options$(BOOST_POSTFIX) -lboost_system$(BOOST_POSTFIX) -lpthread
 
 ## #gcc
 OTHERFLAGS = -pipe $(CPUOPTION)
