=== sample/gpsshell/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
 
-SRCS = gpsshell.cc board.cc book.cc httpclient.cc ignorelist.cc
+SRCS = gpsshell.cc board.cc book.cc commands.cc httpclient.cc ignorelist.cc
 OBJS = $(patsubst %.cc,%.o,$(SRCS))
 PROGRAMS = gpsshell httpclient-sample
