=== sample/eval/bin/Makefile ===
--- 
+++ 
@@ -21,11 +21,12 @@
 
 INCLUDES += -I../lib
 CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
-LOADLIBES += -lboost_program_options$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX_MT) -ltbb -lz
+LOADLIBES += -lboost_program_options$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX_MT) -lz
 
-SRCS = pv.cc show-eval.cc cross-validate.cc \
+SRCS = pv.cc pvall.cc show-eval.cc cross-validate.cc \
   l1ball.cc move-rating.cc select-record.cc find-pv.cc \
-  one-sided-features.cc find-overfit.cc compare-pv.cc
+  one-sided-features.cc find-overfit.cc compare-pv.cc \
+  bonanza-learn.cc progressevalstat.cc
 PROGRAMS = $(SRCS:.cc=)
 
 LIB_EVAL = ../lib/libeval.a
