=== sample/move-probability/test/Makefile ===
GPSSHOGI_HOME = ../../..
include $(GPSSHOGI_HOME)/makefile.conf
-include makefile.local

LOADLIBES += -lboost_thread$(BOOST_POSTFIX_MT) $(LDLIBS) -lz
INCLUDES += -I../lib -I$(OSL_HOME)/lib/third_party/$(GTEST)/include
GTEST_LIBES += $(OSL_HOME)/lib/third_party/$(GTEST)/lib/.libs/libgtest.a

WARNING_FLAGS += -Wno-sign-compare

CXXOPTFLAGS ?= -O -DDEBUG
ifneq ($(CXX),icc)
OTHERFLAGS = -pipe $(DEBUGFLAGS) $(CPUOPTION)
endif
CXXFLAGS = $(CXXOPTFLAGS) $(OTHERFLAGS) \
	$(WARNING_FLAGS) $(GCH_INCLUDES) $(INCLUDES)

PROGRAMS = testAll
LIB_MOVEPROB = ../lib/libmoveprob.a

all : 
	$(MAKE) update-lib
	$(MAKE) test-target
test-target: $(PROGRAMS)
update-lib:
	cd ../lib; $(MAKE)

TEST_OBJS = feature.t.o stateInfo.t.o featureSet.t.o moveInfo.t.o
OBJS = testAll.o $(TEST_OBJS)
SRCS = $(patsubst %.o,%.cc,$(OBJS))

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

testAll: $(OBJS) $(LIB_MOVEPROB) $(FILE_OSL_ALL)
	mkdir -p `dirname $(OUTPUTPREFIX)$@` > /dev/null 2>&1
	$(CXX) $(LDFLAGS) -o $(OUTPUTPREFIX)$@ $^ $(LOADLIBES) $(GTEST_LIBES)

light-clean:
	-rm -rf .deps 
clean: light-clean
	-rm -f core *.o $(OBJS) $(PROGRAMS) nohup.out checkmate.log
distclean: clean 
	rm -f *~
