=== debian/changelog ===
gpsshogi (0.4.0-1) unstable; urgency=low

  * New upstream release (r2566).
  * debian/control
    - Bumped up Standards-Version to 3.9.2.
    - Build with Boost 1.46.
    - Build with libreadline6-dev
  * updated debian/patches/20100206-qt-common.pro.patch.
  * removed debian/patches/20100525-viewer-version_r2364-2365.patch, which was
    applied by the stream.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 11 Jun 2011 18:29:02 +0900
