=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, quilt, libosl-dev (>= 0.3.0), libboost1.42-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline5-dev, libgsl0-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), cdbs, quilt, libosl-dev (>= 0.4.0), libboost1.46-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
+Standards-Version: 3.9.2
 Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gpsshogi.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/gpsshogi.git
