=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,13 @@
 
 build/gpsshogi::
 	# gpsusi, gpsshogi
-	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDLIBS='-losl -lboost_system-mt -lboost_filesystem-mt -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
+	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDLIBS='-losl -lboost_system -lboost_filesystem -lboost_iostreams -lboost_serialization -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
 	help2man --section 6 -n "GPSShogi for XShogi and the CSA protocol" --no-info \
 	  $(CURDIR)/bin/gpsshogi > $(CURDIR)/debian/gpsshogi.1
 	help2man --section 6 -n "GPSShogi for the USI protocol" --no-info \
 	  $(CURDIR)/bin/gpsusi > $(CURDIR)/debian/gpsusi.1
 	# gpsshell
-	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDLIBS='-losl -lboost_system-mt -lboost_filesystem-mt -ltcmalloc_minimal' RELEASE=t gpsshell
+	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDLIBS='-losl -lboost_system -lboost_filesystem -lboost_iostreams -lboost_serialization -ltcmalloc_minimal' RELEASE=t gpsshell
 	help2man --section 6 -n "GPSShogi shell like client" --version-string "gpsshell" --no-info \
 	  $(CURDIR)/sample/gpsshell/gpsshell > $(CURDIR)/debian/gpsshell.1
 	# viewer
@@ -52,9 +52,9 @@
 	dh_install -p$(cdbs_curpkg) --sourcedir=data joseki.dat usr/share/$(cdbs_curpkg)/data
 	dh_install -p$(cdbs_curpkg) --sourcedir=data -X.pl -X.svn rating usr/share/$(cdbs_curpkg)/data
 	for file in \
-	  sibling-attack.pair eval.txt eval-info.txt \
-	  progress.txt progress-info.txt \
-	  ; \
+	  sibling-attack.pair eval.bin eval-info.txt \
+	  move-order.bin move-order-info.txt move-tactical.txt \
+	  progress.txt progress-info.txt ; \
 	do \
 	  dh_install -p$(cdbs_curpkg) --sourcedir=data $$file usr/share/$(cdbs_curpkg)/data ; \
 	done
@@ -69,6 +69,6 @@
 	-rm -f $(CURDIR)/sample/viewer/gpsshogi-viewer
 	-rm -f $(CURDIR)/qt-common-local.pro
 	for file in gpsusi gpsshogi gpsshell ; do \
-	  rm -rf $(CURDIR)/debian/$file.1 ; \
+	  rm -rf $(CURDIR)/debian/$$file.1 ; \
 	done
