=== sample/eval/bin/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 LOADLIBES += -lboost_program_options$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX_MT) -lz
 
 SRCS = pv.cc pvall.cc show-eval.cc cross-validate.cc \
-  l1ball.cc move-rating.cc select-record.cc find-pv.cc \
+  learn.cc move-rating.cc select-record.cc find-pv.cc \
   one-sided-features.cc find-overfit.cc compare-pv.cc \
   bonanza-learn.cc progressevalstat.cc
 PROGRAMS = $(SRCS:.cc=)
