=== debian/changelog ===
gpsshogi (0.4.2-1) unstable; urgency=low

  * New upstream release (r2602).
  * Added patches:
    - debian/patches/20111010-r2603_viewer_pvModel.cc.patch
    - debian/patches/20111010-r2604_gpsshell_makefile.patch

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 10 Oct 2011 16:06:43 +0900
