=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, quilt, libosl-dev (>= 0.4.0), libboost1.46-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
+Build-Depends: debhelper (>= 7), cdbs, quilt, libosl-dev (>= 0.4.2), libboost1.46-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
 Standards-Version: 3.9.2
 Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gpsshogi.git;a=summary
@@ -10,7 +10,7 @@
 
 Package: gpsshogi
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, gpsshogi-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosl1 (>= 0.4.2), gpsshogi-data (= ${source:Version})
 Description: Shogi playing program based on OpenShogiLib
  GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
  World Computer Shogi Championship. This package contains several binaries to
