=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+SOURCE = $(shell dpkg-parsechangelog | grep "^Source" | sed "s/Source: //")
+VERSION = $(shell dpkg-parsechangelog | grep "^Version" | sed "s/Version: //")
+ORIG_VERSION = $(shell echo $(VERSION) | sed "s/-.*//")
+PRISTINE_VERSION = $(shell echo $(ORIG_VERSION) | sed "s/\+dfsg//")
+UPSTREAM_VERSION = $(shell echo $(PRISTINE_VERSION) | sed "s/^0\.0\.//")
+SRCDIR_NAME = $(SOURCE)-$(ORIG_VERSION).orig
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
@@ -23,13 +30,13 @@
 
 build/gpsshogi::
 	# gpsusi, gpsshogi
-	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDLIBS='-losl -lboost_system -lboost_filesystem -lboost_iostreams -lboost_serialization -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
+	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed' LDLIBS='-losl -lboost_filesystem-mt -lboost_serialization-mt -lboost_iostreams-mt -lboost_system-mt -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
 	help2man --section 6 -n "GPSShogi for XShogi and the CSA protocol" --no-info \
 	  $(CURDIR)/bin/gpsshogi > $(CURDIR)/debian/gpsshogi.1
 	help2man --section 6 -n "GPSShogi for the USI protocol" --no-info \
 	  $(CURDIR)/bin/gpsusi > $(CURDIR)/debian/gpsusi.1
 	# gpsshell
-	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDLIBS='-losl -lboost_system -lboost_filesystem -lboost_iostreams -lboost_serialization -ltcmalloc_minimal' RELEASE=t gpsshell
+	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed' LDLIBS='-losl -lboost_filesystem-mt -lboost_serialization-mt -lboost_iostreams-mt -lboost_system-mt -ltcmalloc_minimal' RELEASE=t gpsshell
 	help2man --section 6 -n "GPSShogi shell like client" --version-string "gpsshell" --no-info \
 	  $(CURDIR)/sample/gpsshell/gpsshell > $(CURDIR)/debian/gpsshell.1
 	# viewer
@@ -72,3 +79,17 @@
 	  rm -rf $(CURDIR)/debian/$$file.1 ; \
 	done
 
+get-orig-source:
+	if [ ! -f gpsshogi.tar.gz ] ; then \
+	  wget -O gpsshogi.tar.gz "http://gps.tanaka.ecc.u-tokyo.ac.jp/cgi-bin/viewvc.cgi/trunk/gpsshogi.tar.gz?root=gpsshogi&view=tar" ; \
+        fi
+	mkdir debian/$(SRCDIR_NAME)
+	cd debian/$(SRCDIR_NAME) && tar xzvf ../../gpsshogi.tar.gz
+	if test "`ls debian/$(SRCDIR_NAME) | wc -l`" -eq "1" ; then \
+	        subdir=`echo debian/$(SRCDIR_NAME)/*` && \
+	        mv $$subdir/* debian/$(SRCDIR_NAME) && \
+	        rmdir $$subdir ; \
+	fi
+	tar czf ../$(SOURCE)_$(ORIG_VERSION).orig.tar.gz -C debian $(SRCDIR_NAME)
+	rm -rf debian/$(SRCDIR_NAME)
+
